## com.google.debugging.sourcemap.proto
Interface Mapping.LineMappingOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Mapping.LineMapping, Mapping.LineMapping.Builder

Enclosing class:
  Mapping

    public static interface Mapping.LineMappingOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`int` | `getColumnPosition()`
`int` | `getLineNumber()`
`Mapping.OriginalMapping` | `getOriginalMapping()`
`Mapping.OriginalMappingOrBuilder` | `getOriginalMappingOrBuilder()`
`boolean` | `hasColumnPosition()`
`boolean` | `hasLineNumber()`
`boolean` | `hasOriginalMapping()`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasLineNumber

    boolean hasLineNumber()

### getLineNumber

    int getLineNumber()

### hasColumnPosition

    boolean hasColumnPosition()

### getColumnPosition

    int getColumnPosition()

### hasOriginalMapping

    boolean hasOriginalMapping()

### getOriginalMapping

    Mapping.OriginalMapping getOriginalMapping()

### getOriginalMappingOrBuilder

    Mapping.OriginalMappingOrBuilder getOriginalMappingOrBuilder()